// $Id: mighty.c 6991 2010-12-02 04:10:59Z suzuki $
// -*-: coding:utf-8; -*-

# include <mighty.h>

// #define N_MIGHTY 100

mySprite *mighty[100];

static gchar *mighty_pic_0 = "../images/ganchan.png";
static gchar *mighty_pic = "../images/tennis.png";
gint N_mighty = 0;

/*
void
mightys_init(myAnimeArea *area, gint nmightys)
{
  gint i;

  for (i = 0; i < nmightys; i++)
    {
      mighty_new(area);
    }
  mighty_new(area, nmightys);
}
*/

// mySprite *
void 
mighty_new(myAnimeArea *area, gint nmightys)
{
  if (nmightys > N_MIGHTY) {
    nmightys = 100;
  }

  N_mighty = nmightys;

  gint i;
  
  /* mighty[0]は特別に設定したmove関数 */
  mighty[0] = my_sprite_new(area, mighty_pic_0, 30, (GSourceFunc)mighty_init, (GSourceFunc)mighty_move_0) ;

  // for (i = 1; i < nmightys; i++) {
  //   mighty[i] = my_sprite_new(area, mighty_pic, 30, (GSourceFunc)mighty_init, (GSourceFunc)mighty_move) ;
  // }
  // return mighty;
}

void
mighty_init(mySprite *sprite)
{
  myAnimeArea *area = sprite->anime_area;
  GRand *rand = g_rand_new();
  
  sprite->x = 440;    /* マイティ座標固定 */
  sprite->y = 300;
  while((sprite->dx = g_rand_int_range(rand, -5, 5)) == 0);
  while((sprite->dy = g_rand_int_range(rand, -5, 5)) == 0);

  g_rand_free(rand);
}

void 
mighty_move_0(mySprite *sprite)  /* 勝手に追加した　mighty[0]のmove,まったく動かない */
{
  myAnimeArea *area = sprite->anime_area;
  gint x = sprite->x,   y = sprite->y;
  gint dx = sprite->dx, dy = sprite->dy;
  gint width = sprite->width;
  gint height = sprite->height;

  sprite->x = x;   sprite->y = y;
  sprite->dx = dx; sprite->dy = dy;
}

void 
mighty_move(mySprite *sprite)
{
  myAnimeArea *area = sprite->anime_area;
  gint x = sprite->x,   y = sprite->y;
  gint dx = sprite->dx, dy = sprite->dy;
  gint width = sprite->width;
  gint height = sprite->height;

  /* スプライトの座標を更新 */
  x += dx; y += dy;
  /* 端まで行ったら跳ね返す */
  if(x < 0)                 { x += 0 - x;                 dx = -dx; }
  if(y < 0)                 { y += 0 - y;                 dy = -dy; }
  if(x > area->width - width)   { x += area->width - width - x;   dx = -dx; }
  if(y > area->height - height) { y += area->height - height - y; dy = -dy; }

  sprite->x = x;   sprite->y = y;
  sprite->dx = dx; sprite->dy = dy;
}

gint mighty_reset(gpointer me)
{
  printf("key_pressed. mighty is reset.\n");
  gint i = 0;
  for (i = 0; i < N_MIGHTY; i++) {
    mighty[i]->x = 0;
    mighty[i]->y = 0;
  }
  return FALSE;
}
